Holger's Java API

## com.antelmann.util.gui
Class BackgroundImageBorder

    java.lang.Object
      com.antelmann.util.gui.BackgroundImageBorder

All Implemented Interfaces:
  Border

    public class BackgroundImageBorder

extends Object
implements Border

a border that draws the given image centered as a background. Credit for the original source (idea) goes to the Java forum on sun.com.

Since:
  22. Mai 2007, 02:57
Author:
  Holger Antelmann

Constructor Summary
`BackgroundImageBorder(BufferedImage image)`

Method Summary
`Insets` `getBorderInsets(Component c)`
`boolean` `isBorderOpaque()`
`void` `paintBorder(Component c, Graphics g, int x, int y, int width, int height)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BackgroundImageBorder

    public BackgroundImageBorder(BufferedImage image)

Method Detail

### paintBorder

    public void paintBorder(Component c,
                            Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Specified by:
    `paintBorder` in interface `Border`

### getBorderInsets

    public Insets getBorderInsets(Component c)

  Specified by:
    `getBorderInsets` in interface `Border`

### isBorderOpaque

    public boolean isBorderOpaque()

  Specified by:
    `isBorderOpaque` in interface `Border`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads